Bug 752069 - Non-fatal POSTUN scriptlet failure in rpm package nfs-utils
Non-fatal POSTUN scriptlet failure in rpm package nfs-utils
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 08:37 EST by Miroslav Suchý
Modified: 2012-08-07 14:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2011-11-08 08:37:13 EST
Description of problem:
I'm upgrading Fedora 15 to 16 using:
 http://fedoraproject.org/wiki/Upgrading_Fedora_using_yum#Fedora_15_-.3E_Fedora_16
And during
 yum --releasever=16 --disableplugin=presto distro-sync
I got
 Non-fatal POSTUN scriptlet failure in rpm package nfs-utils
/var/tmp/rpm-tmp.iGIapI: line 2: /etc/rc.d/init.d/rpcidmapd: No such file or directory
/var/tmp/rpm-tmp.iGIapI: line 3: /etc/rc.d/init.d/rpcgssd: No such file or directory
/var/tmp/rpm-tmp.iGIapI: line 4: /etc/rc.d/init.d/nfs: No such file or directory
/var/tmp/rpm-tmp.iGIapI: line 5: /etc/rc.d/init.d/nfslock: No such file or directory
warning: %postun(nfs-utils-1:1.2.4-3.fc15.x86_64) scriptlet failed, exit status 127


Version-Release number of selected component (if applicable):
nfs-utils-1:1.2.4-3.fc15.x86_64

How reproducible:
done once

Steps to Reproduce:
1. Install Fedora15
2. yum install nfs-utils
3. enable updates
4. yum upgrade
5. yum clean all
6. yum --releasever=16 --disableplugin=presto distro-sync

Actual results:
errors above

Expected results:
no errors
Comment 1 Mark Stanton 2011-11-26 08:51:04 EST
I have also had what appears to be this same problem.
However, I was using preupgrade to go from F15 ->F16 and it's been fatal here, F16 will not start, complaining "Error 15 (sometimes followed by a couple of outside-normal-range characters) File not found. Press any key to continue" and then returns to boot menu when I press a key as requested.

My upgrade.log shows lines almost identical to the ones above (except for suffices in temporary filenames), followed by

Running in chroot, ignoring request.
grubby: fatal error: unable to find a template
grubby: fatal error: unable to find a template
grubby: doing this would leave no kernel entries. Not writing out new config.

These last two lines are repeated a further four times and then

*** FINISHED INSTALLING PACKAGES ***

I, too, have only done this once.  I am now trying to get a bootable F16.
I wonder if my disk configuration has caused the installer confusion.
I had two SATA (not RAID) disks installed, sdb is F15, sda is a corrupted XP disk.
I'm not aware of any other particular oddities.
Comment 2 Fedora End Of Life 2012-08-07 14:40:03 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.